#!/usr/bin/env bash

echo
echo "=== Pod ==="
kubectl get pod -l app=opengist -o wide

echo
echo "=== Deployment ==="
kubectl get deployment opengist

echo
echo "=== Services ==="
kubectl get svc opengist-web opengist-ssh

echo
echo "=== Ingress ==="
kubectl get ingress opengist-ingress

echo
echo "=== PVC ==="
kubectl get pvc opengist-pvc

echo
echo "=== NodePort SSH ==="
kubectl get svc opengist-ssh -o jsonpath='{.spec.ports[0].nodePort}'
echo

